Package org.xnio.conduits

# Interface Conduit

All Known Subinterfaces:
  `MessageSinkConduit`, `MessageSourceConduit`, `SinkConduit`, `SourceConduit`, `StreamSinkConduit`, `StreamSourceConduit`

All Known Implementing Classes:
  `AbstractConduit`, `AbstractMessageSinkConduit`, `AbstractMessageSourceConduit`, `AbstractSinkConduit`, `AbstractSourceConduit`, `AbstractStreamSinkConduit`, `AbstractStreamSourceConduit`, `AbstractSynchronizedConduit`, `AbstractSynchronizedSinkConduit`, `AbstractSynchronizedSourceConduit`, `BlockingStreamSinkConduit`, `BlockingStreamSourceConduit`, `BufferedStreamSinkConduit`, `BufferedStreamSourceConduit`, `DeflatingStreamSinkConduit`, `EmptyStreamSourceConduit`, `FixedLengthStreamSinkConduit`, `FixedLengthStreamSourceConduit`, `FramingMessageSinkConduit`, `FramingMessageSourceConduit`, `InflatingStreamSourceConduit`, `MessageStreamSinkConduit`, `MessageStreamSourceConduit`, `NullStreamSinkConduit`, `PushBackStreamSourceConduit`, `SaslUnwrappingConduit`, `SaslWrappingConduit`, `StreamSinkChannelWrappingConduit`, `StreamSourceChannelWrappingConduit`, `SynchronizedMessageSinkConduit`, `SynchronizedMessageSourceConduit`, `SynchronizedStreamSinkConduit`, `SynchronizedStreamSourceConduit`

public interface Conduit
A conduit, or stage which data transfer is processed by or provided by.

Author:
  David M. Lloyd

## Method Summary

Modifier and Type
Method
Description
`XnioWorker`
`getWorker()`
Get the XNIO worker associated with this conduit.

## Method Details

### getWorker

XnioWorker getWorker()
Get the XNIO worker associated with this conduit.

Returns:
  the XNIO worker associated with this conduit